using System;
using Newtonsoft.Json.Linq;

namespace FarmmapsNbs.Models
{
    public class NitrogenInput
    {
        public bool UseCreatedCropfield { get; set; }
        public string File { get; set; }
        public string InputVariable { get; set; }
        public string OutputFileName { get; set; }
        public DateTime PlantingDate { get; set; }
        public DateTime MeasurementDate { get; set; }
        public string PotatoPurposeType { get; set; }
        public int TargetYield { get; set; }
        public JObject GeometryJson { get; set; }
        public string InputLayerName { get; set; }
        public string fieldName{ get; set; }
        public bool storeSatelliteStatistics { get; set; }
        public bool GenerateTaskmap { get; set; }
        public string CellWidth { get; set; }
        public string CellHeight { get; set; }
        public JObject StartPoint { get; set; }
        public JObject EndPoint { get; set; }
        public string Angle { get; set; }


    }
}