﻿using System;
using Newtonsoft.Json.Linq;

namespace FarmmapsPoten.Models
{
    public class PotenInput
    {

        public string File { get; set; }
        public string OutputFileName { get; set; }
        public string FieldName { get; set; }
        public int PlantingYear { get; set; }
        public string MeanDensity { get; set; }
        public string Variation { get; set; }
        public bool UseShadow { get; set; }
        public bool CountPerArea { get; set; }
        public JObject GeometryJson { get; set; }

        public bool GenerateTaskmap { get; set; }
        public string CellWidth { get; set; }
        public string CellHeight { get; set; }
        public string Centered { get; set; }
        public JObject StartPoint { get; set; }
        public JObject EndPoint { get; set; }
        public string Angle { get; set; }

    }
}